Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Event.Record

    java.lang.Object
      com.xensource.xenapi.Event.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Event

    public static class Event.Record

extends Object
implements Types.Record

Represents all the fields in a Event

Field Summary
`String` | `clazz` The name of the class of the object that changed
`Long` | `id` An ID, monotonically increasing, and local to the current session
`String` | `objUuid` The uuid of the object that changed
`Types.EventOperation` | `operation` The operation that was performed
`String` | `ref` A reference to the object that changed
`Object` | `snapshot` The record of the database object that was added, changed or deleted (the actual type will be VM.Record, VBD.Record or similar)
`Date` | `timestamp` The time at which the event occurred

Constructor Summary
`Event.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a event.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public Long id

  An ID, monotonically increasing, and local to the current session

### timestamp

    public Date timestamp

  The time at which the event occurred

### clazz

    public String clazz

  The name of the class of the object that changed

### operation

    public Types.EventOperation operation

  The operation that was performed

### ref

    public String ref

  A reference to the object that changed

### objUuid

    public String objUuid

  The uuid of the object that changed

### snapshot

    public Object snapshot

  The record of the database object that was added, changed or deleted (the actual type will be VM.Record, VBD.Record or similar)

Constructor Detail

### Event.Record

    public Event.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a event.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD